package cat.cordecor.crm.activity;

import cat.cordecor.crm.R;
import cat.cordecor.crm.database.DataManager;
import cat.cordecor.crm.database.EntityUsuari;
import cat.cordecor.crm.http.HttpManager;
import cat.cordecor.crm.util.Log;
import cat.cordecor.crm.util.Utils;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;
import android.widget.TextView;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;

public class MenuActivity extends Activity {

	private ImageButton btnEmpreses;
	private ImageButton btnComandes;
	private ImageButton btnContactes;
	private ImageButton btnProductes;
	private ImageButton btnMapa;
	private ImageButton btnPerfil;
	private ImageButton btnSortir;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		Log.i("MenuActivity.onCreate()");
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.activity_menu);
		
		TextView topTitle = (TextView) findViewById(R.id.topTitle);
		topTitle.setText(getString(R.string.menu));
		
		btnEmpreses = (ImageButton) findViewById(R.id.btnEmpreses);
		btnComandes = (ImageButton) findViewById(R.id.btnComandes);
		btnContactes = (ImageButton) findViewById(R.id.btnContactes);
		btnProductes = (ImageButton) findViewById(R.id.btnProductes);
		btnMapa = (ImageButton) findViewById(R.id.btnMapa);
		btnPerfil = (ImageButton) findViewById(R.id.btnPerfil);
		btnSortir = (ImageButton) findViewById(R.id.btnSortir);
		
		btnEmpreses.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, EmpresaLlistatActivity.class);
				startActivity(intent);
			}
		});
		
		btnContactes.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, ContacteLlistatActivity.class);
				startActivity(intent);
			}
		});
		
		btnComandes.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, ComandaLlistatActivity.class);
				startActivity(intent);
			}
		});
		
		btnProductes.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, ProducteLlistatActivity.class);
				startActivity(intent);
			}
		});
		
		btnMapa.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, MapaActivity.class);
				startActivity(intent);
			}
		});
		
		btnPerfil.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MenuActivity.this, PerfilActivity.class);
				startActivity(intent);
			}
		});
		
		btnSortir.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				exitDialog();
			}
		});
	}
	
    @Override
    public void onResume(){
    	super.onResume();  	
    }
    
	public void exitDialog() {
		Log.i("MenuActivity.exitDialog()"); 
		try{
			AlertDialog.Builder builder = new AlertDialog.Builder(this);
			builder.setCancelable(false)
					.setMessage(getString(R.string.menuDialogExit))
					.setPositiveButton(getString(R.string.btn_sortir), new DialogInterface.OnClickListener() {
						public void onClick(DialogInterface dialog, int id) {
							Utils.exit();
						}
					})
					.setNegativeButton(getString(R.string.btn_cancelar), null);
			AlertDialog dialog = builder.create();
			dialog.setCancelable(false);
			dialog.show();
		}
		catch(Exception e){
			Log.e("/error:"+e.toString()); 
		}
	}
	
}
