package cat.cordecor.crm.activity;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;
import cat.cordecor.crm.R;
import cat.cordecor.crm.database.EntityProducte;
import cat.cordecor.crm.http.HttpImage;
import cat.cordecor.crm.util.Log;
import cat.cordecor.crm.util.Utils;

public class ProducteDetallActivity extends Activity {
	public static final String EXTRA_ENTITY = "entity";

	private ImageView image;
	private TextView editNom;
	private TextView editCodi;
	private TextView editDescripcio;
	private TextView editPreu;
	private EntityProducte entity;
	
	@Override
	public void onBackPressed() {
		super.onBackPressed();
		overridePendingTransition(R.anim.translate_right_in, R.anim.translate_right_out);
		finish();
	}
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
    	Log.i("ProducteDetallActivity.onCreate()");
    	
    	overridePendingTransition(R.anim.translate_left_in, R.anim.translate_left_out);
    	setContentView(R.layout.activity_producte_detall);
    	
    	Utils.configTopActivity(this, getString(R.string.producte_title));
    	
    	// Recuperem les dades que ens va passar la activity del listview
    	Intent intent = getIntent();
    	entity = intent.getParcelableExtra(EXTRA_ENTITY);
    	
    	image = (ImageView) findViewById(R.id.image);
    	editNom = (TextView) findViewById(R.id.editNom);
    	editCodi = (TextView) findViewById(R.id.editCodi);
    	editDescripcio = (TextView) findViewById(R.id.editDescripcio);
    	editPreu = (TextView) findViewById(R.id.editPreu);
    	
    	// Assignem els valors de l'entitat
    	if(entity != null){
    		if(entity.getNom() != null) editNom.setText(entity.getNom());
    		if(entity.getCodi() != null) editCodi.setText(entity.getCodi());
    		if(entity.getDescripcio() != null) editDescripcio.setText(entity.getDescripcio());
    		editPreu.setText(Double.toString(entity.getPreu())+" ");
    		
    	    String path = (entity.getFoto()!=null) ? Utils.getAbsolutePath(entity.getFoto()) : null;
    	    if(path!=null && path.length()>0){
    	        Bitmap bmp = BitmapFactory.decodeFile(path);
    	        if(bmp != null) image.setImageBitmap(bmp);
    	    }
    	}
    }
}