package cat.cordecor.crm.database;

import android.util.SparseArray;

/*
 Classe per reutilitzar instncies en temps d'execuci i accedir menys vegades a la base de dades
 */
public class DataRuntime {

	protected static EntityUsuari usuari = null;
	protected static SparseArray<EntityEmpresa> empreses = null;
	protected static SparseArray<EntityContacte> contactes = null;
	protected static SparseArray<EntityProducte> productes = null;
	protected static SparseArray<EntityComanda> comandes = null;
	
	protected static void setUsuari(EntityUsuari value){
		usuari = value;
	}
	
	protected static void setEmpreses(SparseArray<EntityEmpresa> value){
		empreses = value;
	}
	
	protected static void setContactes(SparseArray<EntityContacte> value){
		contactes = value;
	}
	
	protected static void setProductes(SparseArray<EntityProducte> value){
		productes = value;
	}
	
	protected static void setComandes(SparseArray<EntityComanda> value){
		comandes = value;
	}
	
	protected static EntityUsuari getUsuari(){
		return usuari;
	}
	
	protected static SparseArray<EntityEmpresa> getEmpreses(){
		return empreses;
	}
	
	protected static SparseArray<EntityContacte> getContactes(){
		return contactes;
	}
	
	protected static SparseArray<EntityProducte> getProductes(){
		return productes;
	}
	
	protected static SparseArray<EntityComanda> getComandes(){
		return comandes;
	}
	
	// -------------------------------------------------------
	
	protected static void updateInsertEmpresa(EntityEmpresa entity){
		if(entity!=null && empreses!=null){
			empreses.put(entity.getId(), entity);
		}
	}
	
	protected static void deleteEmpresa(int id){
		if(empreses!=null){
			empreses.remove(id);
		}
	}
	
	protected static void updateInsertContacte(EntityContacte entity){
		if(entity!=null && contactes!=null){
			contactes.put(entity.getId(), entity);
		}
	}
	
	protected static void deleteContacte(int id){
		if(contactes!=null){
			contactes.remove(id);
		}
	}
	
	protected static void updateInsertProducte(EntityProducte entity){
		if(entity!=null && productes!=null){
			productes.put(entity.getId(), entity);
		}
	}
	
	protected static void deleteProducte(int id){
		if(productes!=null){
			productes.remove(id);
		}
	}
	
	protected static void updateInsertComanda(EntityComanda entity){
		if(entity!=null && comandes!=null){
			comandes.put(entity.getId(), entity);
		}
	}
}
