package cat.cordecor.crm.http;

import org.json.JSONObject;

public class RestResponse {

    public static final String TAG_STATUS = "status";
    public static final String TAG_MESSAGE = "message";
    public static final String TAG_NEWID = "id";
    public static final String TAG_RESULT = "result";
    public static final String TAG_RESULT_DELETED = "deleted";
    public static final String TAG_RESULT_MODIFIED = "modified";
	
	private String status;
	private String message;
	private int newID = 0;

    public RestResponse(){}

    public String getStatus(){ return status; }
    public String getMessage(){ return message; }
    public int getNewID(){ return newID; }

    public void setStatus(String value){ status = value; }
    public void setMessage(String value){ message = value; }
    public void setNewID(int value){ newID = value; }
    
    public boolean hasError(){
    	return (status.equals("200") || status.equals("204")) ? false : true;
    }
    
    public boolean isOkEmpty(){
    	return (status.equals("204")) ? true : false;
    }

    public static RestResponse parseJSON(String jsonStr) {
    	RestResponse response = null; 
    	if(jsonStr!=null && jsonStr.length()>0){
    		JSONObject json = null;
	        try {
	             json = new JSONObject(jsonStr);
	
	             response = new RestResponse();
	             response.setStatus(json.getString(TAG_STATUS));
	             response.setMessage(json.getString(TAG_MESSAGE));
	        }
	        catch (Exception e) {
	        	response = null;
	           e.printStackTrace();
	        }
	        
	        // Quan fem un insert rebrem un nou id per assignar a l'entitat
	        if(response!=null && json!=null){
	        	try{
	        		JSONObject obj = json.getJSONObject(TAG_RESULT);
	        		response.setNewID(obj.getInt(TAG_NEWID));
	        	}
		        catch (Exception e) {}
	        }
    	}
        return response;
    }
    
    @Override
    public String toString() {
            return "RestResponse [status=" + status
            				+ ", message=" + message
                            + "]";
    }
}
