package cat.cordecor.crm.util;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.util.Currency;
import java.util.Locale;

public class CurrencyLocale {
	private static final Locale LOCALE = new Locale("ca","ES");
	private static final Currency CURRENCY = Currency.getInstance("EUR");
	private static final NumberFormat numberFormat = NumberFormat.getInstance(LOCALE);
	
	public static String getCurrencySymbol(){
		return CURRENCY.getSymbol();
	}
	
	public static double stringToDouble(String s){
        try {
            return numberFormat.parse(s).doubleValue();
        } 
        catch (Exception e) {
            e.printStackTrace();
            return 0.0;
        }
    }
	
	public static String doubleToString(double value, boolean showCurrency) {
		try{
			NumberFormat nf = NumberFormat.getNumberInstance(LOCALE);
			DecimalFormat df = (DecimalFormat)nf;
			df.applyPattern("###,###.00");
			String s = df.format(value);
			if(s!=null && s.length()>0 && showCurrency) s += " " + getCurrencySymbol();
			return s;
		}
		catch(Exception e){
            e.printStackTrace();
            return "";
		}
	}
}
