<?php

Class Database extends CI_Model {

    public function __construct() {
        parent::__construct();
        $this->load->database();
    }

    public function getUsuari($email, $password) {
        $query = $this->db->get_where('usuari', array('email' => $email, 'contrasenya' => $password));
        return $query->row_array();
    }

    public function updateUsuari($data) {
        $obj = (object) $data;
        $id = $obj->id;
        unset($obj->id);

        $this->db->where('id', $id);
        $this->db->update('usuari', $data);
        return $this->db->affected_rows();
    }

    public function getEmpreses() {
        $query = $this->db->get('empresa');
        return $query->result_array();
    }

    public function insertEmpresa($data) {
        $this->db->insert('empresa', $data);
        $id = $this->db->insert_id();
        return $id;
    }

    public function updateEmpresa($data) {
        $obj = (object) $data;
        $id = $obj->id;
        unset($obj->id);

        $this->db->where('id', $id);
        $this->db->update('empresa', $obj);
        return $this->db->affected_rows();
    }

    public function getContactes($userId) {
        $query = $this->db->get_where('contacte', array('usuari' => $userId));
        return $query->result_array();
    }

    public function insertContacte($data) {
        $this->db->insert('contacte', $data);
        $id = $this->db->insert_id();
        return $id;
    }

    public function updateContacte($data) {
        $obj = (object) $data;
        $id = $obj->id;
        unset($obj->id);

        $this->db->where('id', $id);
        $this->db->update('contacte', $obj);
        return $this->db->affected_rows();
    }

    public function deleteContacte($id) {
        $this->db->delete('contacte', array('id' => $id));
        return $this->db->affected_rows();
    }

    public function getProductes() {
        $query = $this->db->get('producte');
        return $query->result_array();
    }

    public function getComandes($userId) {
        $query = $this->db->get_where('comanda', array('usuari' => $userId));
        return $query->result_array();
    }

    public function insertComanda($data) {
        $this->db->insert('comanda', $data);
        $id = $this->db->insert_id();
        return $id;
    }
}
?>
